<html>
<head>
    <title>Ticket de Venta</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <script src="<?php echo base_url().'assets/dist/js/CifrasEnLetras.js'?>" type="text/javascript"></script>
  <script type="text/javascript" src="<?php echo base_url()?>assets/dist/js/site.js"></script>
<!--<link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/validacion.css'?>">
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">-->
  <link rel="stylesheet" href="<?php echo base_url().'assets/dist/css/styles.css'?>">

</head>
<style type="text/css">
@page {
            margin-top: 1em;
            margin-left: 1em;
            margin-right: 1em;
        }
.datos-generales{
  font-size: 10px;
  text-align: center;
  text-transform: uppercase;
}
.datos-ticket{
  font-size: 15px;
  text-align: center;
  text-transform: uppercase;
}
.datos-venta{
  font-size: 12px;
  text-transform: uppercase;
}
.encabezados{
  text-align:center; font-weight: bold;
}
.leyenda{
 font-size: 12px;
 text-align: center;
 color: blue; 
}
.atendio{
  font-size: 12px;
 text-align: center;
 text-transform: uppercase;
}
.final{
 font-size: 10px;
  text-align: center; 
}
</style>

<body>
<div >
 <div >
   <div style="text-align: center;"><img id="logo" src="assets/dist/img/logo-min.png" width="240" height="70"></div >
   
	   <div style="font-size: 11px; font-weight: bold; text-align: center;  text-transform: uppercase" ><?php echo $datosFranquiciaTicket->NombreFranquicia?></div>
     <?php 
     // franquicia de tampico
      if($franquicias_IdFranquicias!=16) 
      {
     ?>
	   <div class="datos-generales">R.S:<?php echo $datosFranquiciaTicket->RazonSocial?></div>
     <?php 
      }
     ?>
	   <div  class="datos-generales"><?php echo $datosFranquiciaTicket->RegimenFiscal?></div>
	   <div  class="datos-generales">RFC: <?php echo $datosFranquiciaTicket->RFC?></div>
	   <div class="datos-generales"><?php echo $datosFranquiciaTicket->DomicilioFiscal;?>CP: <?php echo $datosFranquiciaTicket->CP;?></div>
 
  </div> 

	
    <div>
    <div class="datos-ticket">FOLIO: <?php echo $folio?> </div>
    <div class="datos-ticket"><br/></div>
    <div class="datos-ticket">FECHA DE PAGO: <?php echo $FechaVenta?></div>
    <div class="datos-ticket"><br/></div>
    <div class="datos-ticket">CLIENTE: <?php echo $ClienteVenta?></div>

     <p style="border-top: 1px dashed #003CA6;"></p>
    </div>
	
        <?php 
		$indexTabla=1;   
        ?>

  <?php 
    if ($consulta1 != FALSE){   
  
  ?>

  <div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Productos</div>
  <div class="table-responsive">
  	<table class="table table-striped">
	  <thead>
	  	 <tr>
	  		<th>#</th>
	  		<th>Concepto</th>
	  		<th>Cant.</th>
	  		<th>Precio</th>
	  		<th>Importe</th>
	  		

	  </thead>
	  <tbody>
        <?php 
          
            foreach ($consulta1 as $fila){
   
              echo "<tr>";
                echo "<td class='datos-venta' >".$indexTabla."</td>";
                echo "<td class='datos-venta'>".$fila->NombreProducto."</td>";
                echo "<td class='datos-venta'>".$fila->PiezasP."</td>";
                echo "<td class='datos-venta'>".$fila->Precio."</td>";
                echo "<td class='datos-venta'>".$fila->TotalPagar."</td>";
                echo "<td>";                  
                echo "</tr>";
                echo "<tr class='total-cuenta'>";
        		echo "<td></td><td></td><td></td>";   
        		echo "</tr>";
                $indexTabla++;
            } 
              
        ?>
	  </tbody>
    </table>
 	</div>

  <?php 
     }   
  
  ?>

  <?php 
    if ($consulta2 != FALSE or $consulta3 != FALSE){   
  
  ?>

 <div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Servicios</div>
   <div class="table-responsive" >
  	<table class="table table-striped style='table-layout:fixed;'">
	  <thead>
	  	 <tr>
	  		<th>#</th>
	  		<th>Concepto</th>
	  		<th>Cant.</th>
	  		<th>Precio</th>
	  		<th>Importe</th>
	  		

	  </thead>
	  <tbody>
        <?php 
          if ($consulta2 != FALSE){
            foreach ($consulta2 as $fila){
   
              echo "<tr>";
                echo "<td class='datos-venta' >".$indexTabla."</td>";
                echo "<td class='datos-venta'>".$fila->NombreServicio."</td>";
                echo "<td class='datos-venta'>".$fila->SesionesS."</td>";
                echo "<td class='datos-venta'>".$fila->Precio."</td>";
                echo "<td class='datos-venta'>".$fila->TotalPagar."</td>";
                echo "<td>";                  
                echo "</tr>";
                echo "<tr class='total-cuenta'>";
        		echo "<td></td><td></td><td></td>";   
        		echo "</tr>";
                $indexTabla++;
            } 
          }       
        ?>
        <?php 
          if ($consulta3 != FALSE){
            foreach ($consulta3 as $fila){
   
              echo "<tr>";
                echo "<td class='datos-venta' >".$indexTabla."</td>";
                echo "<td class='datos-venta'>".$fila->NombreServicio."</td>";
                echo "<td class='datos-venta'>".$fila->SesionesS."</td>";
                echo "<td class='datos-venta'>".$fila->Precio."</td>";
                echo "<td class='datos-venta'>".$fila->TotalPagar."</td>";
                echo "<td>";                  
                echo "</tr>";
                echo "<tr class='total-cuenta'>";
        		echo "<td></td><td></td><td></td>";   
        		echo "</tr>";
                $indexTabla++;
            } 
          }       
        ?>
	  </tbody>
    </table>
 	</div>
  <?php 
    }   
  ?>
    <?php 
    if ($consulta4 != FALSE){   
  
  ?>
<div class="nombre-cliente-ticket" style="text-align:center; font-weight: bold;">Promociones</div>
  <div class="table-responsive">
  	<table class="table table-striped">
	  <thead>
	  	 <tr>
	  		<th>#</th>
	  		<th>Concepto</th>
	  		<th>Cant.</th>
	  		<th>Precio</th>
	  		<th>Importe</th>
	  		

	  </thead>
	  <tbody>
        <?php 
          if ($consulta4 != FALSE){
            foreach ($consulta4 as $fila){
   
              echo "<tr>";
                echo "<td class='datos-venta' >".$indexTabla."</td>";
                echo "<td class='datos-venta'>".$fila->NombrePromocion."</td>";
                echo "<td class='datos-venta'>".$fila->SesionesPr."</td>";
                echo "<td class='datos-venta'>".$fila->Precio."</td>";
                echo "<td class='datos-venta'>".$fila->TotalPagar."</td>";
                echo "<td>";                  
                echo "</tr>";
               echo "<tr class='total-cuenta'>";
        		echo "<td></td><td></td><td></td>";   
        		echo "</tr>";
                $indexTabla++;
            } 
          }       
        ?>
	  </tbody>
    </table>
 	</div>
  <?php 
  }
  ?>
	<p style="border-top: 1px dashed #003CA6;"></p>

 	<div class="table-responsive">
  	<table class="table table-striped" >
	  <thead>
	  	 <tr>
	  		<th></th>
	  		<th></th>

	  </thead>
	  <tbody>
       		<tr  style="text-align: right;">

          <td class="total-ticket" style="text-align: left;">Subtotal:</td>
		    	<td class="total-ticket" style="text-align: right;"><?=number_format($Subtotal, 2, ".", "")?></td>
            </tr>
            <tr>
                
			    <td class="total-ticket" style="text-align: left;" >IVA:</td> 
			    <td class="total-ticket" style="text-align: right;"><?=number_format($Iva, 2, ".", "")?></td>
            </tr>

            <tr>
			    <td class="total-ticket" style="text-align: left;" >Total General:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
			    <td class="total-ticket" style="text-align: right;"><?=number_format($TotalVentaGeneral, 2, ".", "")?></td>
            </tr>
           <tr>
			    <td class="total-ticket" style="text-align: left; color: blue;">Abonado:</td>
			    <td class="total-pagar-ticket" style="text-align: right; color: blue;"><?=number_format($AbonoVenta, 2, ".", "");?></td> 
            </tr>
           <tr>
			    <td class="deuda-ticket" style="text-align: left; color: red;" >Adeudo:</td>
			    <td class="deuda-pagar-ticket" style="text-align: right; color: red;"><?=number_format($AdeudoVenta, 2, ".", "")?></td>
          </tr>
          

          <tr>
          <td class="deuda-ticket" style="text-align: left; " ></td>
          <td class="deuda-pagar-ticket" style="text-align: right;"> </td>
          </tr>

          
          <?php
          if ($Contado>0) {

           ?>
          <tr>
          <td class="deuda-ticket" style="text-align: left;" >Efectivo:</td>
          <td class="deuda-pagar-ticket" style="text-align: right;"><?=number_format($Contado, 2, ".", "")?></td>
          </tr>
           <?php

          }
           ?>
          <?php
          if (((float)$CantidadTarjetaUno+(float)$CantidadTarjetaDos)>0) {

           ?>
          <tr>
          <td class="deuda-ticket" style="text-align: left; " >Tarjeta:</td>
          <td class="deuda-pagar-ticket" style="text-align: right;"><?=number_format(((float)$CantidadTarjetaUno+(float)$CantidadTarjetaDos), 2, ".", "")?></td>
          </tr>
        <?php
          }
        ?>
                
	  </tbody>
    </table>
        
         <?php
            // echo "<div >Efectivo: $" .number_format($Contado, 2, ".", "")."</div>";
            // // echo (float)$CantidadTarjetaUno+(float)$CantidadTarjetaDos;
            // $Tarjetas=(float)$CantidadTarjetaUno+(float)$CantidadTarjetaDos;
            // echo "<div >Tarjeta: $" .number_format($Tarjetas, 2, ".", "")."</div>";

            echo "<div style='text-align:center'> (". $letras."/100 M.N.)</div>";          
     
            
        ?> 
    
    <p style="border-top: 1px dashed #003CA6;"></p>
    <div>
			    <!-- <div class="domicilio-empresa-ticket">
			    	<input type="text" name="letras" id="letras" value="" >
			    </div> -->
			    <div class="domicilio-empresa-ticket" ><br/></div>
			    <div class="atendio">ATENDIO: <?=$VendedorUsuario?></div>
          <div class="domicilio-empresa-ticket" ><br/></div>
		    </div> 
  	</div>
    <div class="leyenda">
         <?php
          if ($leyenda != FALSE){
            foreach ($leyenda as $fila){
              
            echo $fila->DescripcionLeyendas;
   
            } 
          }       
        ?> 
    </div>
    <footer>
      <div class="final">Salud y Belleza con la mejor tecnología a tu alcance</div>
		<div class="final">https://www.modelartspa.com</div>
		<div class="final">¡GRACIAS POR SU VISITA!</div>
     <!-- <?php
     if (idFranquicia=33) { //Franquicias Corporativo
                ventana.document.write('<div class="final">Comprobante emitido conforme a la Regla 2.7.1.24 de RMF y Para los efectos de los artículos 29 y 29-A, fracción IV, segundo párrafo del CFF y 39 del Reglamento del CFF</div>');
                }
		  ?>  -->
	<!-- </div> -->
  </footer>
	


<!--  	<div class="table-responsive">
  	<table class="table table-striped">
	  <thead>
	  	 <tr>
			    <th></th>
			    <th></th>
			   
	  </thead>
	  <tbody>
		    	
		    	
		    	<td>Subtotal:</td>
		    	<td><?=$Subtotal?></td>
			    
			    
			    <td></td><td></td><td></td>
			    <td class="total-ticket">IVA:</td> 
			    <td class="total-ticket"><?=$Iva?></td>
			    
			    <td></td><td></td><td></td>
			    <td class="total-ticket">Total General:</td>
			    <td class="total-ticket"><?=$TotalVentaGeneral?></td> 
			    
			    
			    <td></td><td></td><td></td>
			    <td class="total-ticket">Abonado:</td>
			    <td class="total-pagar-ticket">"<?=$AbonoVenta?>"</td> 
			    
			    <td></td><td></td><td></td>
			    <td class="deuda-ticket">Adeudo:</td>
			    <td class="deuda-pagar-ticket"><?=$AdeudoVenta?></td>
			    
			</tbody>
		</table>
		    
			 <div>
			    <div class="domicilio-empresa-ticket">('+totalPagarLetras+'/100 M.N.)</div>';
			    <div class="domicilio-empresa-ticket" ><br/></div>
			    <div class="domicilio-empresa-ticket">ATENDIO:  '+atendio+'</div>
		    </div> 
    
    </div> -->
        

</div>
</body>
</html>
<!-- <script type="text/javascript">
	$(document).ready(function(){          
       var abono=<?=$AbonoVenta?>;
    if (abono!="") {
      // var Resultado = CifrasEnLetras.convertirEurosEnLetras(abono);
      var Resultado = 'Hola';
      document.getElementById('letras').value=Resultado;
     }
    });
</script> -->